clear all
close all
A = 100*toeplitz(sparse([1,1],[1,2],[-2,1],1,10));
y0 = ones(10,1);
b = zeros(10,1);
t0 = 0;
tstar = 1-t0;
theta = 1/2;
k = 2^(-10);
yrif = thetametodolineare(A,b,y0,t0+tstar,theta,tstar/k);
krange = 2.^(-3:-1:-8);
countertheta = 0;
for theta = [0,1/2,2/3,1]
  countertheta = countertheta+1;
  counterk = 0;
  for k = krange
    counterk = counterk+1;		 
    y = thetametodolineare(A,b,y0,t0+tstar,theta,tstar/k);
    err(countertheta,counterk) = norm(yrif(:,end)-y(:,end),Inf);
  end
end
loglog(1./krange,err(1,:),'*-',...
1./krange,err(2,:),'*-',...
1./krange,err(3,:),'*-',...
1./krange,err(4,:),'*-')
axis([1,1000,1e-10,1e20])
legend('Eulero implicito','trapezi','2/3','Eulero')
